%global modname chai

Name:               python-%{modname}
Version:            1.1.2
Release:    1%{?dist}
Summary:            Easy to use mocking/stub/spy framework

License:            BSD
URL:                http://pypi.python.org/pypi/chai
Source0:            http://pypi.python.org/packages/source/c/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:          noarch

%description
Chai provides a very easy to use api for mocking/stubbing your python
objects, patterned after the `Mocha <http://mocha.rubyforge.org/>`_ library
for Ruby.

%package -n         python%{python3_pkgversion}-%{modname}
Summary:            Easy to use mocking/stub framework
%{?python_provide:%python_provide python%{python3_pkgversion}-%{modname}}

BuildRequires:      python%{python3_pkgversion}-devel
BuildRequires:      python%{python3_pkgversion}-setuptools

%description -n python%{python3_pkgversion}-%{modname}
Chai provides a very easy to use api for mocking/stubbing your python
objects, patterned after the `Mocha <http://mocha.rubyforge.org/>`_ library
for Ruby.

%prep
%setup -q -n %{modname}-%{version}

rm -rf %{modname}.egg-info

rm chai/python2.py

rm tests/comparator_py2.py

sed -i \
    -e 's|assertEquals(|assertEqual(|' \
    -e 's|assertNotEquals(|assertNotEqual(|' \
    -e 's|assert_true(|assertTrue(|' \
    -e 's|assert_equals(|assertEqual(|' \
$(find tests -type f)

%build
%{py3_build}

%install
%{py3_install}

%check
%{__python3} setup.py test

%files -n python%{python3_pkgversion}-%{modname}
%doc README.rst
%license LICENSE.txt
%{python3_sitelib}/%{modname}/
%{python3_sitelib}/%{modname}-%{version}-*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.2-1
- initial build
